SourceID Docs

Drivers License Verification

This endpoint is used to verify the details of a driver's license. It requires the license number, first name, and last name of the license holder.

Endpoint: POST {baseurl}/v1/api/verification/drivers-license

Request Body

Field NameTypeRequiredDescription
countrystringYesThe country code of the driver's license. Example: KEN. (Support: Kenya )
referencestringYesA unique reference for the verification request.
verificationLevelstringYesThe level of verification to perform.
licenseNumberstringYesThe driver's license number to verify.
firstNamestringYesThe first name of the license holder.
lastNamestringYesThe last name of the license holder.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Supported Countries

  • Nigeria (Country Code: NGA)
  • Ghana (Country Code: GHA)
  • Kenya (Country Code: KEN)

Example Request Body

{
    "country": "KEN",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "licenseNumber": "NHL0-09876",
    "firstName": "John",
    "lastName": "Doe"
}

Sample Request

curl -X POST "{baseurl}/v1/api/verification/drivers-license" \
-H "Content-Type: application/json" \
-H "x-api-key: {API-KEY}" \
-d '{
    "country": "KEN",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "licenseNumber": "NHL0-09876",
    "firstName": "John",
    "lastName": "Doe",
    "customer": "6791457be570f7f292f1fe23",
    "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

{
        "status": true,
        "responseCode": "00",
        "statusCode": "200",
        "message": "Driver's License verification successful",
        "data": {
                "licenseNumber": "NID123456789",
                "firstName": "John",
                "lastName": "Smith",
                "dateOfBirth": "1990-01-01",
                "gender": "Male",
                "photo": "base64encodedimage",
                "expiryDate": "2030-01-01",
                "issueDate": "2020-01-01"
        },
        "meta": {
                "statusCode": "200",
                "isValid": true,
                "timeStamp": "Thu Apr 24 2025 12:36:07 GMT+0000 (Coordinated Universal Time)"
        }
}